Skip to content
DELETE /unified/crm/opportunities/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The opportunity's unique identifier

7 supported
Capsule
supported
Monday CRM
supported
Outreach
supported
Pipedrive
supported
Pipeliner
supported
Zendesk Sell
supported
Zoho CRM
supported
accountobject

The opportunity's account

References: Accounts → id
idstring

The account's unique identifier

amountnumber

The opportunity's amount

close_datestring · date-time

The date and time of the opportunity's close date

contactobject[]

The opportunity's contacts

References: Contacts → id
idstring

The contact's unique identifier

created_atstring · date-time

The date and time of the opportunity's creation

currencystring

The amount attribute's currency

custom_fieldsRecord<string, any>

All the custom fields present on the opportunity

descriptionstring

The opportunity's description

last_activity_atstring · date-time

The date and time of the opportunity's last activity

namestring

The opportunity's name

ownerobject

The opportunity's owner

idstring

The opportunity's owner's unique identifier

remote_dataRecord<string, any>

Raw data returned from the remote API call.

stageobject

The opportunity's stage

References: Stages → id
idstring

The stage's unique identifier

namestring

The stage's name

statusstring

The opportunity's status

tagsobject[]

The opportunity's tags

idstring

The tag's unique identifier

namestring

The tag's name

updated_atstring · date-time

The date and time of the opportunity's last update

urlsobject[]

The opportunity's urls

typestring

The opportunity's URL type

urlstring

The opportunity's URL

curl -X DELETE 'https://api.truto.one/unified/crm/opportunities/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/opportunities/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/opportunities/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'crm',
  'opportunities',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "crm",
        "opportunities",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())